<?php

/**
 * Custom extension for Isotope for Contao
 *
 * Copyright (c) 2014 Benjamin Roth [http://www.esales-media.de]
 *
 * @package eSM_isotope_custom
 * @link    http://www.esales-media.de
 * @license commercial
 */

$GLOBALS['FE_MOD']['isotope']['expertisePDF'] = 'eSM_isotope_custom\\Pdf\\ModuleExpertisePdf';
$GLOBALS['FE_MOD']['isotope']['iso_cumulativefilter'] = 'eSM_isotope_custom\\Module\\CumulativeFilter';

$GLOBALS['TL_HOOKS']['replaceInsertTags'][] = array('eSM_isotope_custom\\InsertTag', 'eSMReplaceInsertTags');
$GLOBALS['TL_HOOKS']['addCustomRegexp'][] = array('eSM_isotope_custom\\IsotopeHooks', 'addCustomRegexp');
$GLOBALS['TL_HOOKS']['getAttributesFromDca'][] = array('eSM_isotope_custom\\IsotopeHooks', 'getAttributesFromDca');
$GLOBALS['ISO_HOOKS']['addProductToCollection'][] = array('eSM_isotope_custom\\IsotopeHooks', 'addProductToCollection');
$GLOBALS['ISO_HOOKS']['calculatePrice'][] = array('eSM_isotope_custom\\IsotopeHooks', 'calculatePrice');
$GLOBALS['ISO_HOOKS']['addAssetImportRegexp'][] = array('eSM_isotope_custom\\IsotopeHooks', 'addAssetImportRegexp');
$GLOBALS['ISO_HOOKS']['modifyAddressFields'][] = array('eSM_isotope_custom\\IsotopeHooks', 'modifyAddressFields');
$GLOBALS['ISO_HOOKS']['findSurchargesForCollection'][]  = array('eSM_isotope_custom\\IsotopeHooks', 'findSurcharges');


\Isotope\Model\Product::registerModelType('standard', 'eSM_isotope_custom\Model\Standard');
\Isotope\Model\ProductCollectionSurcharge::registerModelType('affentalerRule', 'eSM_isotope_custom\Model\ProductCollectionSurcharge\AffentalerRule');
